mod interface;
mod bitboard;
mod movegen;
mod engine;
mod game;
mod evaluate;
mod search;

use std::sync::mpsc;
use std::thread;

fn main() {
    let (esend, erecv) = mpsc::channel();
    let (isend, irecv) = mpsc::channel();

    // spawn engine thread
    thread::spawn(move || {
        engine::run_engine(erecv, isend);
    });

    interface::run(irecv, esend);
}


